Class | Fog::Compute::AWS::VPC
In: | lib/fog/aws/models/compute/vpc.rb
Parent: | Fog::Model

### Methods

destroy new save

### Public Class methods

new(attributes={})

### Public Instance methods

destroy()

Removes an existing vpc

vpc.destroy

#### Returns

True or false depending on the result

save()

Create a vpc

>> g = AWS.vpcs.new(:cidr_block => "10.1.2.0/24") >> g.save

## Returns:

True or an exception depending on the result. Keep in mind that this creates a new vpc. As such, it yields an InvalidGroup.Duplicate exception if you attempt to save an existing vpc.

[Validate]